Class | SOAP::RPC::StandaloneServer
In: | soap/rpc/standaloneServer.rb
Parent: | HTTPServer

### Methods

new

### External Aliases

add_rpc_servant | -> | add_servant
add_rpc_headerhandler | -> | add_headerhandler

### Public Class methods

new(appname, default_namespace, host = "0.0.0.0", port = 8080)

[Source]

    # File soap/rpc/standaloneServer.rb, line 17
      def initialize(appname, default_namespace, host = "0.0.0.0", port = 8080)
        @appname = appname
        @default_namespace = default_namespace
        @host = host
        @port = port
        super(create_config)
      end

[Validate]